Here are the system requirements for various versions of the Men & Mice Suite

Men & Mice 9.3

Older versions